Bug 1247877 - Package supervisor's putting unix sock file under /var/tmp
Package supervisor's putting unix sock file under /var/tmp
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: supervisor (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 03:18 EDT by ifduyue
Modified: 2015-10-03 14:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: supervisor-3.1.3-2.el7 supervisor-3.1.3-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-03 14:01:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ifduyue 2015-07-29 03:18:50 EDT
Description of problem:


Package supervisor's putting unix sock file supervisor.sock under /var/tmp.
As of /usr/lib/tmpfiles.d/tmp.conf, /var/tmp/supervisor.sock will be deleted if it's older than 30 days, making supervisorctl unable to talk to supervisord. 


Version-Release number of selected component (if applicable):

supervisor-3.0-1.el7


How reproducible:

Start supervisor and wait 30 days.


Actual results:

/var/tmp/supervisor.sock doesn't exist

Expected results:

/var/tmp/supervisor.sock exists

Additional info:

IMHO it's better to put supervisor.sock under /var/run.
Comment 1 Fedora Update System 2015-08-01 11:58:31 EDT
supervisor-3.1.3-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/supervisor-3.1.3-1.fc23
Comment 2 Fedora Update System 2015-08-01 12:28:30 EDT
supervisor-3.1.3-2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/supervisor-3.1.3-2.fc23
Comment 3 Fedora Update System 2015-08-01 12:29:13 EDT
supervisor-3.1.3-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/supervisor-3.1.3-2.el7
Comment 4 Fedora Update System 2015-08-01 13:41:38 EDT
Package supervisor-3.1.3-2.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing supervisor-3.1.3-2.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12593/supervisor-3.1.3-2.fc23
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-08-17 15:03:06 EDT
supervisor-3.1.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-08-22 12:25:48 EDT
supervisor-3.1.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update supervisor'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13789
Comment 7 Fedora Update System 2015-10-03 14:01:22 EDT
supervisor-3.1.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.